Subject: bug#42149: Substring and flex completion ignore implicit trailing ‘any’

From: João Távora <[email-masked]>
Date: Wed, 25 Nov 2020 12:22:55 +0000

On Wed, Nov 25, 2020 at 8:22 AM Dario Gjorgjevski <
[email-masked]> wrote:

> > Don't worry, I will soon.  First thing I looked at
> > was the tests you provided, which are very welcome.
> > I restructured them, creating instead 13 small tests
> > instead of just 3 tests that currently fail.
> Thanks a lot once again, this is very appreciated.  Admittedly, the
> tests weren’t very good and I wasn’t sure how to make them better.

Maybe you misunderstood me. I didn't write any new tests, I used
your code and split it up into multiple ert-deftests so that I could get
a better idea of which assertions are failing.  The tests you wrote
seem decent (but if you have even better ones, I'm OK with that
too :-) )

João